package com.foreverwin.mesnac.equip.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 设备检验任务从表
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-07-01
 */

@TableName("Z_RESOURCE_INSPECT_TASK_PARAM")

public class ResourceInspectTaskParam extends Model<ResourceInspectTaskParam> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 检验项目编号
     */
   @TableField("INSPECT_NO")
   private String inspectNo;
    /**
     * 任务HANDLE
     */
   @TableField("RESOURCE_INSPECT_TASK_BO")
   private String resourceInspectTaskBo;
    /**
     * 检验项目描述
     */
   @TableField("DESCRIPTION")
   private String description;
    /**
     * 检验方式/方法
     */
   @TableField("INSPECT_METHOD")
   private String inspectMethod;
    /**
     * 检验数据类型（文本T、数字N、布尔值B）
     */
   @TableField("INSPECT_DATA_TYPE")
   private String inspectDataType;
    /**
     * 参数单位
     */
   @TableField("PARAM_UNIT")
   private String paramUnit;
    /**
     * 是否必填【Y必填，N非必填】
     */
   @TableField("REQUIRED")
   private String required;
    /**
     * 最小值
     */
   @TableField("MIN_VALUE")
   private Double minValue;
    /**
     * 最大值
     */
   @TableField("MAX_VALUE")
   private Double maxValue;
    /**
     * 标准值
     */
   @TableField("STANDARD_VALUE")
   private String standardValue;
    /**
     * 结果值
     */
   @TableField("RESULT_VALUE")
   private String resultValue;
    /**
     * 结果【Y/N】
     */
   @TableField("RESULT")
   private String result;
    /**
     * 备注
     */
   @TableField("REMARK")
   private String remark;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;

   /**
    * 序号
    * **/
   @TableField(exist = false)
   private Integer seq;

   public Integer getSeq() {
      return seq;
   }

   public void setSeq(Integer seq) {
      this.seq = seq;
   }

   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getInspectNo() {
      return inspectNo;
   }

   public void setInspectNo(String inspectNo) {
      this.inspectNo = inspectNo;
   }

   public String getResourceInspectTaskBo() {
      return resourceInspectTaskBo;
   }

   public void setResourceInspectTaskBo(String resourceInspectTaskBo) {
      this.resourceInspectTaskBo = resourceInspectTaskBo;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getInspectMethod() {
      return inspectMethod;
   }

   public void setInspectMethod(String inspectMethod) {
      this.inspectMethod = inspectMethod;
   }

   public String getInspectDataType() {
      return inspectDataType;
   }

   public void setInspectDataType(String inspectDataType) {
      this.inspectDataType = inspectDataType;
   }

   public String getParamUnit() {
      return paramUnit;
   }

   public void setParamUnit(String paramUnit) {
      this.paramUnit = paramUnit;
   }

   public String getRequired() {
      return required;
   }

   public void setRequired(String required) {
      this.required = required;
   }

   public Double getMinValue() {
      return minValue;
   }

   public void setMinValue(Double minValue) {
      this.minValue = minValue;
   }

   public Double getMaxValue() {
      return maxValue;
   }

   public void setMaxValue(Double maxValue) {
      this.maxValue = maxValue;
   }

   public String getStandardValue() {
      return standardValue;
   }

   public void setStandardValue(String standardValue) {
      this.standardValue = standardValue;
   }

   public String getResultValue() {
      return resultValue;
   }

   public void setResultValue(String resultValue) {
      this.resultValue = resultValue;
   }

   public String getResult() {
      return result;
   }

   public void setResult(String result) {
      this.result = result;
   }

   public String getRemark() {
      return remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String INSPECT_NO = "INSPECT_NO";

public static final String RESOURCE_INSPECT_TASK_BO = "RESOURCE_INSPECT_TASK_BO";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String INSPECT_METHOD = "INSPECT_METHOD";

public static final String INSPECT_DATA_TYPE = "INSPECT_DATA_TYPE";

public static final String PARAM_UNIT = "PARAM_UNIT";

public static final String REQUIRED = "REQUIRED";

public static final String MIN_VALUE = "MIN_VALUE";

public static final String MAX_VALUE = "MAX_VALUE";

public static final String STANDARD_VALUE = "STANDARD_VALUE";

public static final String RESULT_VALUE = "RESULT_VALUE";

public static final String RESULT = "RESULT";

public static final String REMARK = "REMARK";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "ResourceInspectTaskParam{" +
         "handle = " + handle +
         ", inspectNo = " + inspectNo +
         ", resourceInspectTaskBo = " + resourceInspectTaskBo +
         ", description = " + description +
         ", inspectMethod = " + inspectMethod +
         ", inspectDataType = " + inspectDataType +
         ", paramUnit = " + paramUnit +
         ", required = " + required +
         ", minValue = " + minValue +
         ", maxValue = " + maxValue +
         ", standardValue = " + standardValue +
         ", resultValue = " + resultValue +
         ", result = " + result +
         ", remark = " + remark +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}